Subject: bug#27264: gnome-shell-3.24.2 consistently dies during initialization

From: Marius Bakke <[email-masked]>
Date: Thu, 08 Jun 2017 18:13:48 +0200

Mark H Weaver <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> Mark H Weaver <[email-masked]> writes:
>>
>>> I have a question: Does GNOME 3 work for *anyone* in Guix now?  If so,
>>> that would be useful information.  If not, I wonder why this got merged
>>> into master.
>>
>> I'm sorry, I don't actually use GNOME and should have tested it before
>> pushing. I have been busy lately and didn't want to hold up the branch.
>
> In the future, I think that pushing an updated desktop environment to
> master should only be performed by someone who is able and willing to
> test it.  Modern desktop environments are quite complex, and many things
> can go wrong even if the code compiles.

I agree completely and take full responsibility for this breakage. There
were a couple of unfortunate events leading up to this: first the
'gnome-updates' branch got "destroyed"; causing it to be merged into
'staging', which in turn was holding up the 'core-updates' progress.

In the future I won't go through with such a large update without
getting feedback from actual users.

Mark, others: Can you try these patches and see if they work for you
(extracted from Keis patch).

From 66dbac1f0faa75fc60c75cb1375cd9283ef1c7ed Mon Sep 17 00:00:00 2001
From: Marius Bakke <[email-masked]>
Date: Thu, 8 Jun 2017 18:00:01 +0200
Subject: [PATCH 1/2] gnu: geoclue: Create typelib files.

* gnu/packages/gnome.scm (geoclue)[native-inputs]: Add GOBJECT-INTROSPECTION.
---
 gnu/packages/gnome.scm | 1 +
 1 file changed, 1 insertion(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 84ae1cf2f..4069abab8 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -2634,6 +2634,7 @@ output devices.")
                          (("/bin/true") (which "true"))))))))
     (native-inputs
      `(("pkg-config" ,pkg-config)
+       ("gobject-introspection" ,gobject-introspection)
        ("intltool" ,intltool)))
     (inputs
      `(("avahi" ,avahi)
-- 
2.13.1

From 668bb232493ffa8518b6f5f43e04224ae017d062 Mon Sep 17 00:00:00 2001
From: Marius Bakke <[email-masked]>
Date: Thu, 8 Jun 2017 18:04:20 +0200
Subject: [PATCH 2/2] gnu: gnome-shell: Fix startup failure.

Fixes <https://bugs.gnu.org/27264>.

* gnu/packages/gnome.scm (gnome-shell)[inputs]: Add LIBRSVG and GEOCLUE.
---
 gnu/packages/gnome.scm | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/gnu/packages/gnome.scm b/gnu/packages/gnome.scm
index 4069abab8..9ea3bb07a 100644
--- a/gnu/packages/gnome.scm
+++ b/gnu/packages/gnome.scm
@@ -5111,6 +5111,10 @@ properties, screen resolution, and other GNOME parameters.")
        ("startup-notification" ,startup-notification)
        ("telepathy-logger" ,telepathy-logger)
        ("upower" ,upower)
+       ;; XXX: These requirements were added in 3.24, but no mention in NEWS.
+       ;; Missing propagation? See also: <https://bugs.gnu.org/27264>
+       ("librsvg" ,librsvg)
+       ("geoclue" ,geoclue)
        ;; XXX: required by libgjs.la.
        ("readline" ,readline)))
     (synopsis "Desktop shell for GNOME")
-- 
2.13.1